NVMCTRL_DBGCTRL_Type Union Reference

## Data Fields

struct {
uint8_t ECCDIS:1
uint8_t ECCELOG:1
uint8_t __pad0__:6
} | bit
uint8_t | reg

## Detailed Description

Definition at line 494 of file nvmctrl.h.

## Field Documentation

## __pad0__

uint8_t NVMCTRL_DBGCTRL_Type::__pad0__

bit: 2.. 7 Reserved

Definition at line 498 of file nvmctrl.h.

## bit

struct { ... } NVMCTRL_DBGCTRL_Type::bit

Structure used for bit access

## ECCDIS

uint8_t NVMCTRL_DBGCTRL_Type::ECCDIS

bit: 0 Debugger ECC Read Disable

Definition at line 496 of file nvmctrl.h.

## ECCELOG

uint8_t NVMCTRL_DBGCTRL_Type::ECCELOG

bit: 1 Debugger ECC Error Tracking Mode

Definition at line 497 of file nvmctrl.h.

## reg

uint8_t NVMCTRL_DBGCTRL_Type::reg

Type used for register access

Definition at line 500 of file nvmctrl.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/nvmctrl.h